<?php

if ( ! function_exists( 'calla_elated_map_post_gallery_meta' ) ) {
	
	function calla_elated_map_post_gallery_meta() {
		$gallery_post_format_meta_box = calla_elated_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Gallery Post Format', 'calla' ),
				'name'  => 'post_format_gallery_meta'
			)
		);
		
		calla_elated_add_multiple_images_field(
			array(
				'name'        => 'eltdf_post_gallery_images_meta',
				'label'       => esc_html__( 'Gallery Images', 'calla' ),
				'description' => esc_html__( 'Choose your gallery images', 'calla' ),
				'parent'      => $gallery_post_format_meta_box,
			)
		);
	}
	
	add_action( 'calla_elated_meta_boxes_map', 'calla_elated_map_post_gallery_meta', 21 );
}
